package com.simuwang.daq.components.report.parser;

import com.simuwang.base.pojo.dto.report.ReportData;
import com.simuwang.base.pojo.dto.report.ReportParserParams;

/**
 * @author wangzaijun
 * @date 2024/9/9 19:18
 * @description 报告模板解析器，计划支持pdf、word等
 */
public interface ReportParser<T extends ReportData> {
    /**
     * 报告模板解析接口
     * 扩展支持月报、季报和年报，解析文件格式支持pdf、word和excel
     *
     * @param params 解析请求参数
     * @return 解析结果
     */
    T parse(ReportParserParams params);
}
